Subject: [MMUSIC] Rtspspec-bugs digest, Vol 1 #25 - 2 msgs

From: [email-masked]
Date: Tue, 26 Feb 2002 13:00:11 -0800

This is an automatic digest of bugs submitted and changed on the RTSP bug tracker.  To see a list of bugs, visit:

http://sf.net/projects/rtspspec

When replying, please make your Subject line more specific than "Re: Rtspspec-bugs digest"

Today's Topics:

   1. [ rtspspec-Bugs-522602 ] Should Allow S->C  "Teardown" ([email-masked])
   2. [ rtspspec-Feature Requests-522607 ] Need END_OF_STREAM request ([email-masked])

--__--__--

Message: 1
To: [email-masked]
From: [email-masked]
Date: Mon, 25 Feb 2002 11:38:22 -0800
Subject: [rtspspec-bugs] [ rtspspec-Bugs-522602 ] Should Allow S->C  "Teardown"

Bugs item #522602, was opened at 2002-02-25 11:38
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=522602&group_id=23194

Category: General
Group: None
Status: Open
Resolution: None
Priority: 5
Submitted By: Thomas M Zeng (zengtm)
Assigned to: Rob Lanphier (robla)
Summary: Should Allow S->C  "Teardown" 

Initial Comment:
Table 2 in section 10 of RFC2326 seem to disallow S->C 
Teardown. And section 10.7 is vague on whether S->C 
teardown is OK.

This should be relaxed, because Server might have to 
use TEARDOWN to tell client a live session is over.

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=522602&group_id=23194

--__--__--

Message: 2
To: [email-masked]
From: [email-masked]
Date: Mon, 25 Feb 2002 11:49:56 -0800
Subject: [rtspspec-bugs] [ rtspspec-Feature Requests-522607 ] Need END_OF_STREAM request

Feature Requests item #522607, was opened at 2002-02-25 11:49
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377747&aid=522607&group_id=23194

Category: None
Group: None
Status: Open
Priority: 5
Submitted By: Thomas M Zeng (zengtm)
Assigned to: Nobody/Anonymous (nobody)
Summary: Need END_OF_STREAM request

Initial Comment:
Currently there is no way for Server to inform Client 
the completion of a presentation (VOD or Live) without 
issuing a TEARDOWN and thus release reources. What if 
the player wants to use the same resources (pertinent 
to its sessionID) to watch another clip? It would be 
wasteful to teardown and then acquire another 
sessionID immediately.

Would like to see a END_OF_STREAM method added on the 
S->C direction. E.g.:

END_OF_STREAM <p_URI> or <track_URL> RTSP/1.0
SESSION: <session_ID>
REASON: <text describing reason of EOS>

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377747&aid=522607&group_id=23194

End of Rtspspec-bugs Digest

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic